# Project 2 Technical Requirements

## Required Tech
  - Java 8
  - PostgreSQL
  - Hibernate
  - Spring
    - Core
    - MVC
  - Angular
  - DevOps Pipeline *

## Restricted Tech
  - Spring Boot
  - Spring ORM
  - Spring Data
## Optional
  - Any Styling Library
  - Sprint AOP (Recommended)
  - Any 3rd party API (Upon Approval)
## *Pipeline Requrements
    - Jenkins
    - Maven
    - Hosted on EC2
    - Running JUnit tests
    - Deploying to Tomcat
    - Updates to Slack
    - Optional
        - Sonar Cloud (Very Recommended)